import { EscrowContract } from './Contract.js';
import { EndorseRouter } from '../routes/endorse.js';
import { EndorseData } from '../schema/index.js';
export declare class EndorseController {
    readonly _contract: EscrowContract;
    constructor(contract: EscrowContract);
    get API(): EndorseRouter;
    get cid(): string;
    get pubkey(): string;
    get data(): Promise<EndorseData | undefined>;
    get hash(): Promise<string>;
    get signer(): (message: import("@cmdcode/buff-utils").Bytes) => import("@cmdcode/buff-utils").Bytes;
    refresh(): Promise<{
        status: "draft" | "published" | "active" | "disputed" | "closed";
        updated_at: Date;
        info: {
            title: string;
            admin: string;
            agent: string;
            description?: string | undefined;
            terms?: string | undefined;
        };
        meta: {
            block_id: string;
            open_txid?: string | undefined;
            close_txid?: string | undefined;
        };
        room: {
            secret: string;
            nonce?: string | undefined;
            pubkey?: string | undefined;
            hash?: string | undefined;
        };
        members: string[];
        contract_id: string;
        revision: number;
        created_at: Date;
        endorsements: {
            pubkey: string;
            updated_at: Date;
            hash: string;
            signature: string;
        }[];
        profiles: {
            pubkey: string;
            updated_at: Date;
            nonce: string;
            alias: string;
        }[];
        records: {
            pubkey: string;
            kind: "data" | "script" | "term";
            label: string;
            content: string[];
            updated_at: Date;
        }[];
        signatures: {
            pubkey: string;
            updated_at: Date;
            hash: string;
            psig: string;
        }[];
        transactions: string[];
    }>;
    list(): Promise<EndorseData[]>;
    add(hash?: string): Promise<{
        pubkey: string;
        updated_at: Date;
        hash: string;
        signature: string;
    } | undefined>;
    remove(): Promise<{
        pubkey: string;
        updated_at: Date;
        hash: string;
        signature: string;
    } | undefined>;
}
//# sourceMappingURL=Endorse.d.ts.map