import { EscrowContract } from './Contract.js';
import { MembersRouter } from '../routes/members.js';
export declare class MemberController {
    readonly _contract: EscrowContract;
    constructor(contract: EscrowContract);
    get cid(): string;
    get API(): MembersRouter;
    refresh(): Promise<{
        status: "draft" | "published" | "active" | "disputed" | "closed";
        updated_at: Date;
        info: {
            title: string;
            admin: string;
            agent: string;
            description?: string | undefined;
            terms?: string | undefined;
        };
        meta: {
            block_id: string;
            open_txid?: string | undefined;
            close_txid?: string | undefined;
        };
        room: {
            secret: string;
            nonce?: string | undefined;
            pubkey?: string | undefined;
            hash?: string | undefined;
        };
        members: string[];
        contract_id: string;
        revision: number;
        created_at: Date;
        endorsements: {
            pubkey: string;
            updated_at: Date;
            hash: string;
            signature: string;
        }[];
        profiles: {
            pubkey: string;
            updated_at: Date;
            nonce: string;
            alias: string;
        }[];
        records: {
            pubkey: string;
            kind: "data" | "script" | "term";
            label: string;
            content: string[];
            updated_at: Date;
        }[];
        signatures: {
            pubkey: string;
            updated_at: Date;
            hash: string;
            psig: string;
        }[];
        transactions: string[];
    }>;
    add(member: string): Promise<string[]>;
    remove(member: string): Promise<string[]>;
    update(members: string[]): Promise<string[]>;
    delete(members: string[]): Promise<string[]>;
}
//# sourceMappingURL=Member.d.ts.map