import { EscrowContract } from './Contract.js';
import { ProfileRouter } from '../routes/profile.js';
import { ProfileData, ProfileTemplate } from '../schema/index.js';
export declare class ProfileController {
    readonly _contract: EscrowContract;
    constructor(contract: EscrowContract);
    get API(): ProfileRouter;
    get cid(): string;
    get pubkey(): string;
    get data(): Promise<ProfileData | undefined>;
    refresh(): Promise<{
        status: "draft" | "published" | "active" | "disputed" | "closed";
        updated_at: Date;
        info: {
            title: string;
            admin: string;
            agent: string;
            description?: string | undefined;
            terms?: string | undefined;
        };
        meta: {
            block_id: string;
            open_txid?: string | undefined;
            close_txid?: string | undefined;
        };
        room: {
            secret: string;
            nonce?: string | undefined;
            pubkey?: string | undefined;
            hash?: string | undefined;
        };
        members: string[];
        contract_id: string;
        revision: number;
        created_at: Date;
        endorsements: {
            pubkey: string;
            updated_at: Date;
            hash: string;
            signature: string;
        }[];
        profiles: {
            pubkey: string;
            updated_at: Date;
            nonce: string;
            alias: string;
        }[];
        records: {
            pubkey: string;
            kind: "data" | "script" | "term";
            label: string;
            content: string[];
            updated_at: Date;
        }[];
        signatures: {
            pubkey: string;
            updated_at: Date;
            hash: string;
            psig: string;
        }[];
        transactions: string[];
    }>;
    list(): Promise<ProfileData[]>;
    create(template: ProfileTemplate): Promise<{
        pubkey: string;
        updated_at: Date;
        nonce: string;
        alias: string;
    } | undefined>;
    set(template: ProfileTemplate): Promise<{
        pubkey: string;
        updated_at: Date;
        nonce: string;
        alias: string;
    } | undefined>;
    update(template: ProfileTemplate): Promise<{
        pubkey: string;
        updated_at: Date;
        nonce: string;
        alias: string;
    } | undefined>;
    remove(): Promise<{
        pubkey: string;
        updated_at: Date;
        nonce: string;
        alias: string;
    } | undefined>;
}
//# sourceMappingURL=Profile.d.ts.map