import { ResponseAPI } from '../schema/types.js';
import { ContractCreate, ContractData, ContractTemplate } from '../schema/model/contract.js';
type Fetcher = typeof fetch;
export declare class ContractRouter {
    readonly host: string;
    readonly fetch: Fetcher;
    constructor(hostname: string, fetcher: Fetcher);
    list(): Promise<ResponseAPI<ContractData[]>>;
    create(template: ContractCreate): Promise<ResponseAPI<ContractData>>;
    read(contractId: string): Promise<ResponseAPI<ContractData>>;
    prune(): Promise<ResponseAPI>;
    update(contractId: string, template: ContractTemplate): Promise<ResponseAPI>;
    cancel(contractId: string): Promise<ResponseAPI>;
}
export {};
//# sourceMappingURL=contract.d.ts.map